Missing mod_perl2 Perl modules.

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Missing mod_perl2 Perl modules.

Postby frotz » 19. September 2014 08:34

PROBLEM STATEMENT:
[] I'm grinding through integrating XAMPP into my team's base platform (it seems smoother than building the platform upgrade from scratch).
[] We're a heavy Perl shop and have a moderate amount of mod_perl1 magic that we're being forced to upgrade to mod_perl2.
[] XAMPP-1.8.3-4 sports this server token signature: Apache/2.4.9 (Unix) PHP/5.5.11 mod_perl/2.0.8-dev Perl/v5.16.3
[] HOWEVER, when I try to actually use mod_perl2, I find all of the MAN pages but NONE of the modules (*.pm) included.
[] I want to run my application successfully inside an XAMPP-1.8.3-4 for Linux deployment but I need XAMPP to support my mod_perl2 AuthenHandlers.
[] I'm willing (and able) to do the integration work but I need the build tree to fix the missing mod_perl2.0.8-dev files.

MISSING FILES (subset based on my mod_perl2.0.7 sources):
[] Apache2::PerlSections
[] ModPerl::Config

PROVIDED FILES:
[] Oddly, I find all of the POD documentation for mod_perl2.0.8-dev in the XAMPP install tree but none of the modules.

PREFERENCE:
[] I would prefer to work on getting XAMPP + mod_perl2 functional (I believe it is fundamentally broken and that all examples of Perl are CGI based, not mod_perl2 based even though it is nominally part of the stack).
[] This means that I need the ability to build XAMPP from source (so I'm looking for the authorization process to get engaged and vetted).
[] I want to get out of the stack business and focus on my application business (internal IT group with non-trivial application portfolio).

FALL-BACK POSITION:
[] Failing to fix XAMPP will push me back to building a local stack (Apache 2 + Mod_Perl 2 + Perl 5).

CURRENT TACTICS:
[] Get XAMPP installed (with its Bitnami integration support) as a commodity stack.
[] Get my code base away from mod_perl.
[] Move to CGI or FastCGI or other alternatives.

CURRENT STATE:
[] I'm building internal RPMs based on 1.8.3-4 (or any future release).
[] I'm adding all of my necessary functionality by building it onto the XAMPP-1.8.3-4 RPM deploy and adding Perl module RPMs to support Net::LDAPS, IO::Socket::INET6 and other exotic Perl modules that do not come with the base XAMPP-1.8.3-4 installation that I need for my application suite.
[] My tool chain is relatively complete but I'm running into more work than should be necessary all due to the absence of the build tree for XAMPP-1.8.3-4 on Linux.
[] I'm integrating my dependency chain into the XAMPP-1.8.3-4 but keeping my application sources separate (I'm on Perl 5.16.3) and dealing with several Perls in the environment (5.8.5 from RHEL-6.4; XAMPP's and my own).

PLATFORM:
[] RHEL-6.4 (Santiago) (as a base but it is an internal OS based on this distribution)
[] uname -a => Linux dws-rtp-ffaatuai-l 2.6.32-358.6.1.el6.x86_64 #1 SMP Fri Mar 29 16:51:51 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux
frotz
 
Posts: 1
Joined: 04. March 2005 03:19
Location: San Jose, CA

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests